Subject: Re: RPC for cygwin
From: [email-masked] (Dr. Volker Zell)

17 Jan 1999 20:42:02 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0 (generated by SEMI 1.9.0 - "Isurugi")
Content-Type: text/plain; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

Hi Corinna

A make after unpacking your sunrpc-4.0.cygwin1.src.tar.gz
gives me the following errors:

---

gcc -I.. -I..  -c pmap_rmt.c -o pmap_rmt.o
In file included from \cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\netinet/in.h:4,
                 from ..\rpc/rpc.h:41,
                 from pmap_rmt.c:42:
\cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\cygwin/in.h:150: warning: `INADDR_LOOPBACK' redefined
...\rpc/types.h:60: warning: this is the location of the previous definition
pmap_rmt.c: In function `getbroadcastnets':
pmap_rmt.c:199: incompatible type for argument 1 of `inet_netof'
pmap_rmt.c: In function `clnt_broadcast':
pmap_rmt.c:323: warning: passing arg 3 of `select' from incompatible pointer type
pmap_rmt.c:323: warning: passing arg 4 of `select' from incompatible pointer type
make[1]: *** [pmap_rmt.o] Error 1
gcc -I.. -I..  -c pmap_rmt.c -o pmap_rmt.o
In file included from \cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\netinet/in.h:4,
                 from ..\rpc/rpc.h:41,
                 from pmap_rmt.c:42:
\cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\cygwin/in.h:150: warning: `INADDR_LOOPBACK' redefined
...\rpc/types.h:60: warning: this is the location of the previous definition
pmap_rmt.c: In function `getbroadcastnets':
pmap_rmt.c:199: incompatible type for argument 1 of `inet_netof'
pmap_rmt.c: In function `clnt_broadcast':
pmap_rmt.c:323: warning: passing arg 3 of `select' from incompatible pointer type
pmap_rmt.c:323: warning: passing arg 4 of `select' from incompatible pointer type
make[1]: *** [pmap_rmt.o] Error 1
make: *** [rpclib] Error 2

Any hints

  Ciao
    Volker

-- 
___________________________________________________________________________

   "Is a dream a lie if it don't come true or is it something worse ..."

                                                 Dr. Volker Zell
      __ /  _  /  __  / ___/  /    ___/          -- Senior Dozent --
     /  /  /__/  /_  / /     /    __/            Oracle Germany
   ____/__/ _|__/ __/____/ ____/____/            Paul-Thomas-Str.58 
                                                 D-40599 D|sseldorf
   e-Mail: mailto:[email-masked]
   WWW:    http://trgsund4.de.oracle.com/
   Tel:    (+49) 211-74839-414                   
   Fax:    (+49) 211-74839-44
___________________________________________________________________________

The statements and opinions expressed here are my own and do not necessarily 
represent those of Oracle Corporation.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".